> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Search Responses

> Get a list of search responses. Order by `created_at` in descending order by default.



## OpenAPI

````yaml GET /search
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.10
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /search:
    get:
      tags:
        - Search
      summary: Get a list of search responses
      description: >-
        Get a list of search responses. Order by `created_at` in descending
        order by default.
      operationId: getSearch
      parameters:
        - name: limit
          in: query
          description: Maximum number of search responses to return
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
        - name: offset
          in: query
          description: Number of search responses to skip
          required: false
          schema:
            type: integer
            minimum: 0
        - name: created_before
          in: query
          description: >-
            Filter search responses created before a specific date (YYYY-MM-DD
            format), in UTC timezone
          required: false
          schema:
            type: string
            format: date
        - name: created_after
          in: query
          description: >-
            Filter search responses created after a specific date (YYYY-MM-DD
            format), in UTC timezone
          required: false
          schema:
            type: string
            format: date
      responses:
        '200':
          description: A search
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchResponseList'
        '404':
          description: Search not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: An unexpected error occurred on the server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    SearchResponseList:
      type: object
      required:
        - object
        - data
        - total
        - limit
        - offset
      properties:
        object:
          type: string
          enum:
            - list
          description: Object type, always 'list'
        data:
          type: array
          items:
            type: object
            required:
              - id
              - object
              - scope
              - results
              - total
              - limit
            properties:
              id:
                type: string
                format: uuid
                description: ID of the search response
              object:
                type: string
                enum:
                  - search
                description: Object type, always 'search'
              query:
                type: string
                description: >-
                  The search query that was executed (for text search) or the
                  source image URL/base64 indicator (for face search)
              scope:
                type: string
                enum:
                  - file
                  - segment
                  - face
                description: The search scope that was used
              group_by_key:
                type: string
                enum:
                  - file
                description: >-
                  The key used for grouping results. Only present when
                  group_by_key was specified in the request and results are
                  grouped.
              group_count:
                type: integer
                description: >-
                  Number of groups in the results. Only present when
                  group_by_key is specified.
              search_modalities:
                $ref: '#/components/schemas/SearchModalities'
              total:
                type: integer
                description: >-
                  Total number of results returned. When group_by_key is
                  specified, this represents the total number of items across
                  all groups (not the number of groups).
              limit:
                type: integer
                description: The limit that was applied to the search
        total:
          type: integer
          description: Total number of search responses matching the query
        limit:
          type: integer
          description: Number of items returned in this response
        offset:
          type: integer
          description: Offset from the start of the list
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    SearchModalities:
      type: array
      items:
        type: string
        enum:
          - general_content
          - speech_lexical
          - ocr_lexical
          - tag_semantic
          - tag_lexical
      maxItems: 5
      description: >
        Specifies the type(s) of search to execute. When multiple modalities are
        specified, a hybrid search is executed that combines results from each
        modality.


        Available modalities:

        - `general_content`: baseline for matching the content of the search
        item (file/segment) based on visual or spoken content similarity to
        provided short natural language query string

        - `speech_lexical`: performs keyword based search (e.g. query of
        `president` matching `president` or `presidential` strings) and exact
        match (e.g. specifically find mentions of `"Barack Obama"` or `"Donald
        Trump"`) against speech content present in search item

        - `ocr_lexical`: performs keyword based search and exact match against
        screen text content present in search item

        - `tag_semantic`: performs basic word semantic similarity search against
        tag values associated with search items (e.g. `query=animal` expected to
        match tags with value containing `dog` or `cat`)

        - `tag_lexical`: performs keyword based search and exact match against
        tag values associated with search items


        Only applicable when search `scope=file` or `scope=segment`.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````